package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 考核认证配置对象 examine_config
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public class ExamineConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 考核要求 */
    @Excel(name = "考核要求")
    private String requireExamine;

    /** 信息真实性提示文本 */
    @Excel(name = "信息真实性提示文本")
    private String authenticityTips;

    /** 基本考核提示文本 */
    @Excel(name = "基本考核提示文本")
    private String prompt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setRequireExamine(String requireExamine) 
    {
        this.requireExamine = requireExamine;
    }

    public String getRequireExamine() 
    {
        return requireExamine;
    }
    public void setAuthenticityTips(String authenticityTips) 
    {
        this.authenticityTips = authenticityTips;
    }

    public String getAuthenticityTips() 
    {
        return authenticityTips;
    }
    public void setPrompt(String prompt) 
    {
        this.prompt = prompt;
    }

    public String getPrompt() 
    {
        return prompt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("requireExamine", getRequireExamine())
            .append("authenticityTips", getAuthenticityTips())
            .append("prompt", getPrompt())
            .toString();
    }
}
